# -*- coding: utf-8 -*-

import re

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　ＺＫＭ　　製作分享　　　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.12 panda0305 撰寫腳本",2)
UI.UpdateLog("【上傳空間】：www.xup.in",2)
UI.UpdateLog("【上傳大小】：25MB",2)
UI.UpdateLog("【砍檔時間】：150天",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",2)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
UI.UpdateLog("=========================================",2)
UI.UpdateLog("連結至www.xup.in..",2)
HTML=HTTP.GetURL("http://www.xup.in/")
posturl=Simple_Regular("<form action=\"(.+?)\"",HTML,1)

if posturl!=False:
    UI.UpdateLog("取得上傳網址->"+posturl)
    UI.UpdateLog("開始上傳....",4)
    HTTP.AddUpParam("advanced","1")
    HTTP.AddUpParam("passwort","")
    HTTP.AddUpParam("email","")
    HTTP.AddUpParam("album","1")
    HTTP.AddUpParam("aname","")
    HTTP.AddUpParam("aoption2","2000")
    HTTP.AddFileReference("F1")
    HTML1=UI.UpFile(posturl)
    link=Simple_Regular('name=\"t1\" size=\"90\" class=\"inp\" value=\"(.+?)\"',HTML1,1)
    dellink=Simple_Regular('name=\"delete_link\" onclick=\"highlight\(this\);\" value="(.+?)"',HTML1,1)
    if link!=False and dellink!=False:
        UI.UpdateLog("連結1：下載連結"+link,3)
        UI.UpdateLog("連結2：刪檔連結"+dellink,3)
        UI.AddShareLink(link+"^"+dellink)
        UI.ProceSuccess()
    else:
        UI.UpdateLog("未上傳成功或找不到連結？",3)
        UI.UpdateLog(HTML1)
        UI.ProceFalse()
else:
    UI.UpdateLog("發生錯誤!無法取得上傳網址",3)
    UI.ProceFalse()